//
//  NaviSampleViewController.m
//  NaviSample
//
//  Created by Nobuya Matsuura on 11/08/11.
//  Copyright 2011 Trickster. All rights reserved.
//

//　※※※※※※※※※※※※※※※　重　要　※※※※※※※※※※※※※※※
//　「なびすけ」の連携機能はVer1.2.2以降対応となります。
//　連携による損失及び損害は一切保証致しませんので予めご了承下さい。
//　※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※


#import "NaviSampleViewController.h"

@implementation NaviSampleViewController

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}


-(IBAction)pushNaviCall{
    //なびすけ呼び出し
    NSLog(@"アプリ呼び出し");
    double      douLat =  [tfLat.text doubleValue]; //目的地の緯度　Double値 0〜180
    double      douLon =  [tfLon.text doubleValue]; //目的地の経度　Double値 0〜180
    int         intRouteType = segRouteType.selectedSegmentIndex;   //交通機関の選択　0=車一般道、1=車高速道路、2=徒歩 int値
    NSString    *strAppName = @"アプリ名";           //あなたのアプリケーションの名前　アルファベットのみ有効 NSString
    NSString    *strGoal  = tfGoal.text;                //目的地名 NSString
    int         schemeNo  = 211;
    int         iPadSchemeNo  = 100;
    //ここで呼び出しURLを生成します。
    NSString *strURL = nil;
    
    // iPadとiPhoneの分岐
    if( UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad ){
        strURL = [NSString stringWithFormat:@"ISSHONAVI%d://%f,%f,%d,%@,%@",iPadSchemeNo,douLat,douLon,intRouteType,strAppName,strGoal];
    }else{
        strURL = [NSString stringWithFormat:@"routemximp%d://%f,%f,%d,%@,%@",schemeNo,douLat,douLon,intRouteType,strAppName,strGoal];
    }                                                    //「routemxtricks://緯度,経度,交通機関,アプリ名,目的地名」で呼び出します。
    //URLエンコード処理---------------------------------------------
    NSString* strEncode = [strURL stringByAddingPercentEscapesUsingEncoding:NSUTF8StringEncoding];
    NSLog(@"エンコード後の文字列 %@",strEncode);
    //なびすけ呼び出し---------------------------------------------
	NSURL *url = [[[NSURL alloc] initWithString:strEncode] autorelease];    //「なびすけ」呼び出し実行
	BOOL result = [[UIApplication sharedApplication] openURL:url];          //「なびすけ」インストールされているか確認準備
	
	if( !result ){
        // 「なびすけ」がインストールされていない場合
        [self.view addSubview:errView];
        //エラー用のなびすけダウンロード画面を表示してインストールを促します。
        //ご自由にカスタマイズしてください。
	}else{
        //「なびすけ」がインストールされていることを確認。呼び出し成功時の処理。
        //すぐにアプリ連携で「なびすけ」にジャンプするので、アプリケーションはバックグラウンドに移行します。
        //このelseは実装しなくても問題ありません。
    }
}


-(IBAction)pushNaviDownload{    //なびすけダウンロード AppStoreにジャンプ
    [errView removeFromSuperview];
    NSURL *url = [[[NSURL alloc] initWithString:@"itms-apps://itunes.apple.com/WebObjects/MZStore.woa/wa/viewSoftware?id=422297509&mt=8"] autorelease];
    [[UIApplication sharedApplication] openURL:url];
}

-(IBAction)pushNaviCancel{      //なびすけダウンロード画面削除
    [errView removeFromSuperview]; 
}

-(IBAction)pushKyeEnd{          //キーボード削除処理
    [tfLat	resignFirstResponder];
    [tfLon	resignFirstResponder];
    [tfGoal	resignFirstResponder];
}



#pragma mark - View lifecycle

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
}
*/

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
